Package twisted :: Package internet :: Module process :: Class ProcessError |
[frames | no frames]

## Class ProcessError

     Ephemeral --+
                 |
        Logger --+
                 |
    FileDescriptor --+
                     |
                    ProcessError

ProcessError

I am a selectable representation of a process's stderr.

Method Summary
| ``__init__`(self, proc)` Initialize, specifying a process to connect to.
| ``connectionLost`(self, reason)` I close my process's stderr.
| ``doRead`(self)` Call back to my process's doError.
| ``fileno`(self)` Return the fileno() of my process's stderr.
Inherited from FileDescriptor
| ``_postLoseConnection`(self)` Called after a loseConnection(), when all data has been written.
| ``doWrite`(self)` Called when data is available for writing.
| ``loseConnection`(self)` Close the connection at the next available opportunity.
| ``pauseProducing`(self)`
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer.
| ``resumeProducing`(self)`
| ``startReading`(self)` Start waiting for read availability.
| ``startWriting`(self)` Start waiting for write availability.
| ``stopConsuming`(self)` Stop consuming data.
| ``stopProducing`(self)`
| ``stopReading`(self)` Stop waiting for read availability.
| ``stopWriting`(self)` Stop waiting for write availability.
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting.
| ``write`(self, data)` Reliably write some data.
| ``writeSequence`(self, iovec)`
| ``writeSomeData`(self, data)` Write as much as possible of the given data, immediately.
Inherited from Logger
| ``logPrefix`(self)` Override this method to insert custom logging behavior.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
Inherited from FileDescriptor
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`int` | `bufferSize` = 65536
`int` | `connected` = 0
`str` | `dataBuffer` = `''`
`int` | `disconnected` = 0
`int` | `disconnecting` = 0
`int` | `offset` = 0
`NoneType` | `producer` = None
`int` | `producerPaused` = 0
`int` | `streamingProducer` = 0

Method Details

### __init__(self, proc) (Constructor) Initialize, specifying a process to connect to. Overrides: `twisted.internet.abstract.FileDescriptor.__init__`

### connectionLost(self, reason) I close my process's stderr. Overrides: `twisted.internet.abstract.FileDescriptor.connectionLost`

### doRead(self) Call back to my process's doError.

### fileno(self) Return the fileno() of my process's stderr. Overrides: `twisted.internet.abstract.FileDescriptor.fileno`

Generated by Epydoc 2.0 on Sat Oct 25 00:55:11 2003 | http://epydoc.sf.net